import { ElementRef } from '@angular/core';
import type { ComponentProps, ElementType } from 'react';
import * as i0 from "@angular/core";
export declare class ReactLazyDirective<Comp extends ElementType> {
    private host;
    cjReactLazy: () => Promise<Comp>;
    props: ComponentProps<Comp>;
    private root;
    constructor(host: ElementRef);
    ngOnChanges(): Promise<void>;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReactLazyDirective<any>, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ReactLazyDirective<any>, "[cjReactLazy]", never, { "cjReactLazy": "cjReactLazy"; "props": "props"; }, {}, never>;
}
