import { S3Client } from '@aws-sdk/client-s3';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface S3UploadOptions {
    file: File | Blob | string;
    path: string;
    name: string;
    appendTimestamp?: boolean;
    folder?: string;
}
export interface S3UploadResult {
    url: string;
    fileName: string;
}
export declare class AwsS3Service {
    private environment;
    s3Client: S3Client;
    constructor(environment: any);
    a: (uploadParams: any, file: any) => Promise<void>;
    trackUploadProgress(url: any, file: any): Promise<unknown>;
    uploadFiles(options: S3UploadOptions[]): Observable<S3UploadResult[]>;
    uploadFile(options: S3UploadOptions): Observable<S3UploadResult>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AwsS3Service, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AwsS3Service>;
}
